/*
 * This combined file was created by the DataTables downloader builder:
 *   https://datatables.net/download
 *
 * To rebuild or modify this file with the latest versions of the included
 * software please visit:
 *   https://datatables.net/download/#bs5/dt-1.11.3/b-2.0.1/r-2.2.9/sc-2.0.5/sb-1.3.0/sp-1.4.0/sl-1.3.3
 *
 * Included libraries:
 *   DataTables 1.11.3, Buttons 2.0.1, Responsive 2.2.9, Scroller 2.0.5, SearchBuilder 1.3.0, SearchPanes 1.4.0, Select 1.3.3
 */

@charset "UTF-8";
td.dt-control {
    background: url("https://www.datatables.net/examples/resources/details_open.png") no-repeat center center;
    cursor: pointer;
}

tr.dt-hasChild td.dt-control {
    background: url("https://www.datatables.net/examples/resources/details_close.png") no-repeat center center;
}

table.dataTable th.dt-left,
table.dataTable td.dt-left {
    text-align: left;
}

table.dataTable th.dt-center,
table.dataTable td.dt-center,
table.dataTable td.dataTables_empty {
    text-align: center;
}

table.dataTable th.dt-right,
table.dataTable td.dt-right {
    text-align: right;
}

table.dataTable th.dt-justify,
table.dataTable td.dt-justify {
    text-align: justify;
}

table.dataTable th.dt-nowrap,
table.dataTable td.dt-nowrap {
    white-space: nowrap;
}

table.dataTable thead th.dt-head-left,
table.dataTable thead td.dt-head-left,
table.dataTable tfoot th.dt-head-left,
table.dataTable tfoot td.dt-head-left {
    text-align: left;
}

table.dataTable thead th.dt-head-center,
table.dataTable thead td.dt-head-center,
table.dataTable tfoot th.dt-head-center,
table.dataTable tfoot td.dt-head-center {
    text-align: center;
}

table.dataTable thead th.dt-head-right,
table.dataTable thead td.dt-head-right,
table.dataTable tfoot th.dt-head-right,
table.dataTable tfoot td.dt-head-right {
    text-align: right;
}

table.dataTable thead th.dt-head-justify,
table.dataTable thead td.dt-head-justify,
table.dataTable tfoot th.dt-head-justify,
table.dataTable tfoot td.dt-head-justify {
    text-align: justify;
}

table.dataTable thead th.dt-head-nowrap,
table.dataTable thead td.dt-head-nowrap,
table.dataTable tfoot th.dt-head-nowrap,
table.dataTable tfoot td.dt-head-nowrap {
    white-space: nowrap;
}

table.dataTable tbody th.dt-body-left,
table.dataTable tbody td.dt-body-left {
    text-align: left;
}

table.dataTable tbody th.dt-body-center,
table.dataTable tbody td.dt-body-center {
    text-align: center;
}

table.dataTable tbody th.dt-body-right,
table.dataTable tbody td.dt-body-right {
    text-align: right;
}

table.dataTable tbody th.dt-body-justify,
table.dataTable tbody td.dt-body-justify {
    text-align: justify;
}

table.dataTable tbody th.dt-body-nowrap,
table.dataTable tbody td.dt-body-nowrap {
    white-space: nowrap;
}


/*! Bootstrap 5 integration for DataTables
 *
 * ©2020 SpryMedia Ltd, all rights reserved.
 * License: MIT datatables.net/license/mit
 */

table.dataTable {
    clear: both;
    margin-top: 6px !important;
    margin-bottom: 6px !important;
    max-width: none !important;
    border-collapse: separate !important;
    border-spacing: 0;
}

table.dataTable td,
table.dataTable th {
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
}

table.dataTable td.dataTables_empty,
table.dataTable th.dataTables_empty {
    text-align: center;
}

table.dataTable.nowrap th,
table.dataTable.nowrap td {
    white-space: nowrap;
}

div.dataTables_wrapper div.dataTables_length label {
    font-weight: normal;
    text-align: left;
    white-space: nowrap;
}

div.dataTables_wrapper div.dataTables_length select {
    width: auto;
    display: inline-block;
}

div.dataTables_wrapper div.dataTables_filter {
    text-align: right;
}

div.dataTables_wrapper div.dataTables_filter label {
    font-weight: normal;
    white-space: nowrap;
    text-align: left;
}

div.dataTables_wrapper div.dataTables_filter input {
    margin-left: 0.5em;
    display: inline-block;
    width: auto;
}

div.dataTables_wrapper div.dataTables_info {
    padding-top: 0.85em;
}

div.dataTables_wrapper div.dataTables_paginate {
    margin: 0;
    white-space: nowrap;
    text-align: right;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    margin: 2px 0;
    white-space: nowrap;
    justify-content: flex-end;
}

div.dataTables_wrapper div.dataTables_processing {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 200px;
    margin-left: -100px;
    margin-top: -26px;
    text-align: center;
    padding: 1em 0;
}

table.dataTable>thead>tr>th:active,
table.dataTable>thead>tr>td:active {
    outline: none;
}

table.dataTable>thead>tr>th:not(.sorting_disabled),
table.dataTable>thead>tr>td:not(.sorting_disabled) {
    padding-right: 30px;
}

table.dataTable>thead .sorting,
table.dataTable>thead .sorting_asc,
table.dataTable>thead .sorting_desc,
table.dataTable>thead .sorting_asc_disabled,
table.dataTable>thead .sorting_desc_disabled {
    cursor: pointer;
    position: relative;
}

table.dataTable>thead .sorting:before,
table.dataTable>thead .sorting:after,
table.dataTable>thead .sorting_asc:before,
table.dataTable>thead .sorting_asc:after,
table.dataTable>thead .sorting_desc:before,
table.dataTable>thead .sorting_desc:after,
table.dataTable>thead .sorting_asc_disabled:before,
table.dataTable>thead .sorting_asc_disabled:after,
table.dataTable>thead .sorting_desc_disabled:before,
table.dataTable>thead .sorting_desc_disabled:after {
    position: absolute;
    bottom: 0.5em;
    display: block;
    opacity: 0.3;
}

table.dataTable>thead .sorting:before,
table.dataTable>thead .sorting_asc:before,
table.dataTable>thead .sorting_desc:before,
table.dataTable>thead .sorting_asc_disabled:before,
table.dataTable>thead .sorting_desc_disabled:before {
    right: 1em;
    content: "↑";
}

table.dataTable>thead .sorting:after,
table.dataTable>thead .sorting_asc:after,
table.dataTable>thead .sorting_desc:after,
table.dataTable>thead .sorting_asc_disabled:after,
table.dataTable>thead .sorting_desc_disabled:after {
    right: 0.5em;
    content: "↓";
}

table.dataTable>thead .sorting_asc:before,
table.dataTable>thead .sorting_desc:after {
    opacity: 1;
}

table.dataTable>thead .sorting_asc_disabled:before,
table.dataTable>thead .sorting_desc_disabled:after {
    opacity: 0;
}

div.dataTables_scrollHead table.dataTable {
    margin-bottom: 0 !important;
}

div.dataTables_scrollBody>table {
    border-top: none;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

div.dataTables_scrollBody>table>thead .sorting:before,
div.dataTables_scrollBody>table>thead .sorting_asc:before,
div.dataTables_scrollBody>table>thead .sorting_desc:before,
div.dataTables_scrollBody>table>thead .sorting:after,
div.dataTables_scrollBody>table>thead .sorting_asc:after,
div.dataTables_scrollBody>table>thead .sorting_desc:after {
    display: none;
}

div.dataTables_scrollBody>table>tbody tr:first-child th,
div.dataTables_scrollBody>table>tbody tr:first-child td {
    border-top: none;
}

div.dataTables_scrollFoot>.dataTables_scrollFootInner {
    box-sizing: content-box;
}

div.dataTables_scrollFoot>.dataTables_scrollFootInner>table {
    margin-top: 0 !important;
    border-top: none;
}

@media screen and (max-width: 767px) {
    div.dataTables_wrapper div.dataTables_length,
    div.dataTables_wrapper div.dataTables_filter,
    div.dataTables_wrapper div.dataTables_info,
    div.dataTables_wrapper div.dataTables_paginate {
        text-align: center;
    }
    div.dataTables_wrapper div.dataTables_paginate ul.pagination {
        justify-content: center !important;
    }
}

table.dataTable.table-sm>thead>tr>th:not(.sorting_disabled) {
    padding-right: 20px;
}

table.dataTable.table-sm .sorting:before,
table.dataTable.table-sm .sorting_asc:before,
table.dataTable.table-sm .sorting_desc:before {
    top: 5px;
    right: 0.85em;
}

table.dataTable.table-sm .sorting:after,
table.dataTable.table-sm .sorting_asc:after,
table.dataTable.table-sm .sorting_desc:after {
    top: 5px;
}

table.table-bordered.dataTable {
    border-right-width: 0;
}

table.table-bordered.dataTable thead tr:first-child th,
table.table-bordered.dataTable thead tr:first-child td {
    border-top-width: 1px;
}

table.table-bordered.dataTable th,
table.table-bordered.dataTable td {
    border-left-width: 0;
}

table.table-bordered.dataTable th:first-child,
table.table-bordered.dataTable th:first-child,
table.table-bordered.dataTable td:first-child,
table.table-bordered.dataTable td:first-child {
    border-left-width: 1px;
}

table.table-bordered.dataTable th:last-child,
table.table-bordered.dataTable th:last-child,
table.table-bordered.dataTable td:last-child,
table.table-bordered.dataTable td:last-child {
    border-right-width: 1px;
}

table.table-bordered.dataTable th,
table.table-bordered.dataTable td {
    border-bottom-width: 1px;
}

div.dataTables_scrollHead table.table-bordered {
    border-bottom-width: 0;
}

div.table-responsive>div.dataTables_wrapper>div.row {
    margin: 0;
}

div.table-responsive>div.dataTables_wrapper>div.row>div[class^=col-]:first-child {
    padding-left: 0;
}

div.table-responsive>div.dataTables_wrapper>div.row>div[class^=col-]:last-child {
    padding-right: 0;
}

table.dataTable.table-striped>tbody>tr:nth-of-type(2n+1) {
    --bs-table-accent-bg: transparent;
}

table.dataTable.table-striped>tbody>tr.odd {
    --bs-table-accent-bg: var(--bs-table-striped-bg);
}

@keyframes dtb-spinner {
    100% {
        transform: rotate(360deg);
    }
}

@-o-keyframes dtb-spinner {
    100% {
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-ms-keyframes dtb-spinner {
    100% {
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-webkit-keyframes dtb-spinner {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes dtb-spinner {
    100% {
        -moz-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

div.dt-button-info {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 400px;
    margin-top: -100px;
    margin-left: -200px;
    background-color: white;
    border: 2px solid #111;
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.3);
    border-radius: 3px;
    text-align: center;
    z-index: 21;
}

div.dt-button-info h2 {
    padding: 0.5em;
    margin: 0;
    font-weight: normal;
    border-bottom: 1px solid #ddd;
    background-color: #f3f3f3;
}

div.dt-button-info>div {
    padding: 1em;
}

button.dtb-hide-drop {
    display: none !important;
}

div.dt-button-collection-title {
    text-align: center;
    padding: 0.3em 0 0.5em;
    font-size: 0.9em;
}

div.dt-button-collection-title:empty {
    display: none;
}

div.dt-button-collection {
    position: absolute;
    z-index: 2001;
    width: 100%;
}

div.dt-button-collection div.dropdown-menu {
    display: block;
    z-index: 2002;
    min-width: 100%;
    padding-left: 2px;
    padding-right: 2px;
}

div.dt-button-collection div.dt-button-collection-title {
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.15);
}

div.dt-button-collection.fixed {
    position: fixed;
    top: 50%;
    left: 50%;
    margin-left: -75px;
    border-radius: 0;
}

div.dt-button-collection.fixed.two-column {
    margin-left: -200px;
}

div.dt-button-collection.fixed.three-column {
    margin-left: -225px;
}

div.dt-button-collection.fixed.four-column {
    margin-left: -300px;
}

div.dt-button-collection> :last-child {
    display: block !important;
    -webkit-column-gap: 8px;
    -moz-column-gap: 8px;
    -ms-column-gap: 8px;
    -o-column-gap: 8px;
    column-gap: 8px;
}

div.dt-button-collection> :last-child>* {
    -webkit-column-break-inside: avoid;
    break-inside: avoid;
}

div.dt-button-collection.two-column {
    width: 400px;
}

div.dt-button-collection.two-column> :last-child {
    padding-bottom: 1px;
    -webkit-column-count: 2;
    -moz-column-count: 2;
    -ms-column-count: 2;
    -o-column-count: 2;
    column-count: 2;
}

div.dt-button-collection.three-column {
    width: 450px;
}

div.dt-button-collection.three-column> :last-child {
    padding-bottom: 1px;
    -webkit-column-count: 3;
    -moz-column-count: 3;
    -ms-column-count: 3;
    -o-column-count: 3;
    column-count: 3;
}

div.dt-button-collection.four-column {
    width: 600px;
}

div.dt-button-collection.four-column> :last-child {
    padding-bottom: 1px;
    -webkit-column-count: 4;
    -moz-column-count: 4;
    -ms-column-count: 4;
    -o-column-count: 4;
    column-count: 4;
}

div.dt-button-collection .dt-button {
    border-radius: 0;
}

div.dt-button-collection.fixed {
    max-width: none;
}

div.dt-button-collection.fixed:before,
div.dt-button-collection.fixed:after {
    display: none;
}

div.dt-button-collection div.dt-btn-split-wrapper {
    width: 100%;
}

div.dt-button-collection button.dt-btn-split-drop-button {
    width: 100%;
    color: #212529;
    border: none;
    background-color: white;
    border-radius: 0px;
    margin-left: 0px !important;
}

div.dt-button-collection button.dt-btn-split-drop-button:focus {
    border: none;
    border-radius: 0px;
    outline: none;
}

div.dt-button-collection button.dt-btn-split-drop-button:hover {
    background-color: #e9ecef;
}

div.dt-button-collection button.dt-btn-split-drop-button:active {
    background-color: #2E143A !important;
}

div.dt-button-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
}

@media screen and (max-width: 767px) {
    div.dt-buttons {
        float: none;
        width: 100%;
        text-align: center;
        margin-bottom: 0.5em;
    }
    div.dt-buttons a.btn {
        float: none;
    }
}

div.dt-buttons button.btn.processing,
div.dt-buttons div.btn.processing,
div.dt-buttons a.btn.processing {
    color: rgba(0, 0, 0, 0.2);
}

div.dt-buttons button.btn.processing:after,
div.dt-buttons div.btn.processing:after,
div.dt-buttons a.btn.processing:after {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 16px;
    height: 16px;
    margin: -8px 0 0 -8px;
    box-sizing: border-box;
    display: block;
    content: " ";
    border: 2px solid #282828;
    border-radius: 50%;
    border-left-color: transparent;
    border-right-color: transparent;
    animation: dtb-spinner 1500ms infinite linear;
    -o-animation: dtb-spinner 1500ms infinite linear;
    -ms-animation: dtb-spinner 1500ms infinite linear;
    -webkit-animation: dtb-spinner 1500ms infinite linear;
    -moz-animation: dtb-spinner 1500ms infinite linear;
}

div.dt-btn-split-wrapper button.dt-btn-split-drop {
    border-top-right-radius: 0.25rem !important;
    border-bottom-right-radius: 0.25rem !important;
}

div.dataTables_wrapper div.dt-buttons.btn-group button.btn:last-child:first-of-type {
    border-radius: 4px !important;
}

div.dataTables_wrapper div.dt-buttons.btn-group div.btn-group button.btn:last-of-type {
    border-top-left-radius: 0px !important;
    border-bottom-left-radius: 0px !important;
}

div.dataTables_wrapper div.dt-buttons.btn-group div.btn-group button.btn:first-of-type {
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}

div.dataTables_wrapper div.dt-buttons.btn-group div.btn-group:last-child {
    border: 1px solid #6c757d;
    border-top-right-radius: 4px !important;
    border-bottom-right-radius: 4px !important;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.child,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.child,
table.dataTable.dtr-inline.collapsed>tbody>tr>td.dataTables_empty {
    cursor: default !important;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.child:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.child:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>td.dataTables_empty:before {
    display: none !important;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control {
    position: relative;
    padding-left: 30px;
    cursor: pointer;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    top: 50%;
    left: 5px;
    height: 1em;
    width: 1em;
    margin-top: -9px;
    display: block;
    position: absolute;
    color: white;
    border: 0.15em solid white;
    border-radius: 1em;
    box-shadow: 0 0 0.2em #444;
    box-sizing: content-box;
    text-align: center;
    text-indent: 0 !important;
    font-family: "Courier New", Courier, monospace;
    line-height: 1em;
    content: "+";
    background-color: #2E143A;
}

table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th.dtr-control:before {
    content: "-";
    background-color: #d33333;
}

table.dataTable.dtr-inline.collapsed.compact>tbody>tr>td.dtr-control,
table.dataTable.dtr-inline.collapsed.compact>tbody>tr>th.dtr-control {
    padding-left: 27px;
}

table.dataTable.dtr-inline.collapsed.compact>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed.compact>tbody>tr>th.dtr-control:before {
    left: 4px;
    height: 14px;
    width: 14px;
    border-radius: 14px;
    line-height: 14px;
    text-indent: 3px;
}

table.dataTable.dtr-column>tbody>tr>td.dtr-control,
table.dataTable.dtr-column>tbody>tr>th.dtr-control,
table.dataTable.dtr-column>tbody>tr>td.control,
table.dataTable.dtr-column>tbody>tr>th.control {
    position: relative;
    cursor: pointer;
}

table.dataTable.dtr-column>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-column>tbody>tr>th.dtr-control:before,
table.dataTable.dtr-column>tbody>tr>td.control:before,
table.dataTable.dtr-column>tbody>tr>th.control:before {
    top: 50%;
    left: 50%;
    height: 0.8em;
    width: 0.8em;
    margin-top: -0.5em;
    margin-left: -0.5em;
    display: block;
    position: absolute;
    color: white;
    border: 0.15em solid white;
    border-radius: 1em;
    box-shadow: 0 0 0.2em #444;
    box-sizing: content-box;
    text-align: center;
    text-indent: 0 !important;
    font-family: "Courier New", Courier, monospace;
    line-height: 1em;
    content: "+";
    background-color: #2E143A;
}

table.dataTable.dtr-column>tbody>tr.parent td.dtr-control:before,
table.dataTable.dtr-column>tbody>tr.parent th.dtr-control:before,
table.dataTable.dtr-column>tbody>tr.parent td.control:before,
table.dataTable.dtr-column>tbody>tr.parent th.control:before {
    content: "-";
    background-color: #d33333;
}

table.dataTable>tbody>tr.child {
    padding: 0.5em 1em;
}

table.dataTable>tbody>tr.child:hover {
    background: transparent !important;
}

table.dataTable>tbody>tr.child ul.dtr-details {
    display: inline-block;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

table.dataTable>tbody>tr.child ul.dtr-details>li {
    border-bottom: 1px solid #efefef;
    padding: 0.5em 0;
}

table.dataTable>tbody>tr.child ul.dtr-details>li:first-child {
    padding-top: 0;
}

table.dataTable>tbody>tr.child ul.dtr-details>li:last-child {
    border-bottom: none;
}

table.dataTable>tbody>tr.child span.dtr-title {
    display: inline-block;
    min-width: 75px;
    font-weight: bold;
}

div.dtr-modal {
    position: fixed;
    box-sizing: border-box;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 100;
    padding: 10em 1em;
}

div.dtr-modal div.dtr-modal-display {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 50%;
    height: 50%;
    overflow: auto;
    margin: auto;
    z-index: 102;
    overflow: auto;
    background-color: #f5f5f7;
    border: 1px solid black;
    border-radius: 0.5em;
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.6);
}

div.dtr-modal div.dtr-modal-content {
    position: relative;
    padding: 1em;
}

div.dtr-modal div.dtr-modal-close {
    position: absolute;
    top: 6px;
    right: 6px;
    width: 22px;
    height: 22px;
    border: 1px solid #eaeaea;
    background-color: #f9f9f9;
    text-align: center;
    border-radius: 3px;
    cursor: pointer;
    z-index: 12;
}

div.dtr-modal div.dtr-modal-close:hover {
    background-color: #eaeaea;
}

div.dtr-modal div.dtr-modal-background {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 101;
    background: rgba(0, 0, 0, 0.6);
}

@media screen and (max-width: 767px) {
    div.dtr-modal div.dtr-modal-display {
        width: 95%;
    }
}

div.dtr-bs-modal table.table tr:first-child td {
    border-top: none;
}

div.dts {
    display: block !important;
}

div.dts tbody th,
div.dts tbody td {
    white-space: nowrap;
}

div.dts div.dts_loading {
    z-index: 1;
}

div.dts div.dts_label {
    position: absolute;
    right: 10px;
    background: rgba(0, 0, 0, 0.8);
    color: white;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.5);
    text-align: right;
    border-radius: 3px;
    padding: 0.4em;
    z-index: 2;
    display: none;
}

div.dts div.dataTables_scrollBody {
    background: repeating-linear-gradient(45deg, #edeeff, #edeeff 10px, white 10px, white 20px);
}

div.dts div.dataTables_scrollBody table {
    z-index: 2;
}

div.dts div.dataTables_paginate,
div.dts div.dataTables_length {
    display: none;
}

div.DTS div.dataTables_scrollBody table {
    background-color: white;
}

div.dt-button-collection {
    overflow: visible !important;
    z-index: 2002 !important;
}

div.dt-button-collection div.dtsb-searchBuilder {
    width: 99% !important;
    padding-left: 10px !important;
    padding-right: 10px !important;
}

.dtsb-greyscale {
    border: 1px solid #cecece !important;
}

div.dtsb-logicContainer .dtsb-greyscale {
    border: none !important;
}

div.dtsb-searchBuilder {
    justify-content: space-evenly;
    cursor: default;
    margin-bottom: 1em;
    text-align: left;
}

div.dtsb-searchBuilder button.dtsb-button,
div.dtsb-searchBuilder select {
    font-size: 1em;
}

div.dtsb-searchBuilder div.dtsb-titleRow {
    justify-content: space-evenly;
    margin-bottom: 0.5em;
}

div.dtsb-searchBuilder div.dtsb-titleRow div.dtsb-title {
    display: inline-block;
    padding-top: 6px;
}

div.dtsb-searchBuilder div.dtsb-titleRow button.dtsb-clearAll {
    float: right;
    margin-bottom: 0.333em;
}

div.dtsb-searchBuilder div.dtsb-vertical .dtsb-value,
div.dtsb-searchBuilder div.dtsb-vertical .dtsb-data,
div.dtsb-searchBuilder div.dtsb-vertical .dtsb-condition {
    display: block;
}

div.dtsb-searchBuilder div.dtsb-group {
    position: relative;
    clear: both;
    margin-bottom: 0.8em;
}

div.dtsb-searchBuilder div.dtsb-group button.dtsb-clearGroup {
    margin: 2px;
    text-align: center;
    padding: 0;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-logicContainer {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
    position: absolute;
    margin-top: 0.8em;
    margin-right: 0.8em;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria {
    margin-bottom: 0.8em;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria select.dtsb-dropDown,
div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria input.dtsb-input {
    padding: 0.4em;
    margin-right: 0.8em;
    max-width: 20em;
    background-color: rgba(200, 200, 200, 0.3);
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria select.dtsb-dropDown option.dtsb-notItalic,
div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria input.dtsb-input option.dtsb-notItalic {
    font-style: normal;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria select.dtsb-italic {
    font-style: italic;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria div.dtsb-buttonContainer {
    float: right;
    display: inline-block;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria div.dtsb-buttonContainer button.dtsb-delete,
div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria div.dtsb-buttonContainer button.dtsb-right,
div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria div.dtsb-buttonContainer button.dtsb-left {
    margin-right: 0.8em;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria div.dtsb-buttonContainer button.dtsb-delete:last-child,
div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria div.dtsb-buttonContainer button.dtsb-right:last-child,
div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria div.dtsb-buttonContainer button.dtsb-left:last-child {
    margin-right: 0;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria span.dtsp-joiner {
    margin-right: 0.8em;
}

div.dtsb-searchBuilder div.dtsb-titleRow {
    height: 40px;
}

div.dtsb-searchBuilder div.dtsb-titleRow div.dtsb-title {
    padding-top: 10px;
}

div.dtsb-searchBuilder div.dtsb-group button.dtsb-clearGroup {
    margin-right: 8px;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria .form-select {
    width: auto;
    display: inline-block;
    padding-right: 30px !important;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria select.dtsb-condition {
    border-color: #28a745;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria select.dtsb-data {
    border-color: #dc3545;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria select.dtsb-value,
div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria input.dtsb-value {
    border-color: #1a5286;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-criteria .form-control {
    display: inline-block;
    font-size: 1em;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-logicContainer {
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-content: flex-start;
    align-items: flex-start;
    margin-top: 10px;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-logicContainer button.dtsb-logic {
    border: none;
    border-radius: 0px;
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 3em;
    margin: 0px;
    padding: 0.375rem 0.7rem;
}

div.dtsb-searchBuilder div.dtsb-group div.dtsb-logicContainer button.dtsb-clearGroup {
    border: none;
    border-radius: 0px;
    width: 2em;
    margin: 0px;
}

div.dt-button-collection div.dtsb-searchBuilder {
    padding-left: 10px;
    padding-right: 10px;
}

div.dtsp-topRow {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    border: 2px solid rgba(0, 0, 0, 0);
    border-radius: 3px;
    justify-content: space-around;
    align-content: flex-start;
    align-items: flex-start;
}

div.dtsp-topRow input.dtsp-search {
    text-overflow: ellipsis;
    min-width: 50px;
    flex-basis: 90px;
    max-width: none;
}

div.dtsp-topRow input.dtsp-search::placeholder {
    color: black;
}

div.dtsp-topRow div.dtsp-subRow1 {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    flex: 1 1 auto;
}

div.dtsp-topRow div.dtsp-subRow1 div.dtsp-searchCont {
    position: relative;
    width: 100%;
}

div.dtsp-topRow div.dtsp-subRow1 input {
    padding-right: 2em;
    width: 100% !important;
    box-sizing: border-box;
    font-size: 1em;
}

div.dtsp-topRow div.dtsp-subRow1 button.dtsp-searchIcon {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAPCAYAAAA71pVKAAABbmlDQ1BpY2MAACiRdZE7SwNBFIU/EyWikRRaiFhsoWKhEBREO42FTZAQFYza7G5eQhKX3QQJtoKNhWAh2vgq/AfaCrYKgqAIIhb+Al+NhPVOEkiQZJbZ+3FmzmXmDHjCGTPrtAYhm8vb0bmQthxb0Xzv+PHRxRSabjrWTCQSpun4eaRF1YdR1av5voajM55wTGhpF54wLTsvPC0c3sxbineFe8y0Hhc+ER6x5YDCt0o3KvymOFXhL8X2YnQWPKqnlqpjo47NtJ0VHhYeyGYKZvU86ib+RG5pQWqfzH4coswRQsOgwDoZ8oxKzUlmjX3Bsm+eDfGY8rcoYosjRVq8I6IWpGtCalL0hHwZiir3/3k6yfGxSnd/CNpeXfdzEHz7UNpz3d9T1y2dgfcFrnM1/4bkNPkt+l5NGziGwDZc3tQ04wCudqD32dJtvSx5ZXqSSfi4gK4YdN9Dx2olq+o650+wuCVPdAeHRzAk+wNrfw8JaBFXEnV+AAAACXBIWXMAAA9hAAAPYQGoP6dpAAABMUlEQVQoU6XRr0vDQRjH8akoM4iIjqGoOIZ5oIjB5XWxajaYDGLSIhhNYjcPRDSJwbQNw+L+BNGgYYo/5pT5/shz8vDlBgMPXux7z3N3z+25VOofYyCyd4ZYCavI4gXPsRp9LqiDdrEMH+8wv8Vh8gBfWclFPOEUN3hAHjlMoRa7wTzBS5xgKLFglPkZLjDic6HyDsEMNvGR2Nxifoci3tEI+X770JU0XmPXIlax+LTPh83fFox1X6kxyzdjm9UcdXi9S+Vti6svfyNULhNR9TVsYNhW6Ff9KKCNR7/Zv6eeaQ+6+qcdpu9BqGlp1HFgud+FYdzzUcUExu0Q/cdzHGEFetIlXKPjK/sbqYoOftMiS+j9jzEJPd1Wt+5+kdR/9EM9ucIC5jCbyPc01Q32kfsBppYz3hYFcCwAAAAASUVORK5CYII=");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 12px;
}

div.dtsp-topRow div.dtsp-subRow2 {
    white-space: nowrap;
    flex: 0 0 auto;
}

div.dtsp-topRow button.dtsp-nameButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACMAAAAjCAYAAAAe2bNZAAABcGlDQ1BpY2MAACiRdZHNSwJBGMYftTDS8FCHkA57sOigIAXRMQzyYh3UIKvL7rirwe66zK6IdA26dBA6RF36OvQf1DXoWhAERRAR9B/0dQnZ3nEFJXSG2ffHs/O8zDwD+DM6M+yBJGCYDs+mU9JaYV0KviNMM4QoEjKzreXcUh59x88jfKI+JESv/vt6jlBRtRngGyKeYxZ3iBeIMzXHErxHPMbKcpH4hDjO6YDEt0JXPH4TXPL4SzDPZxcBv+gplbpY6WJW5gbxNHHM0KusfR5xk7BqruaoRmlNwEYWaaQgQUEVW9DhIEHVpMx6+5It3woq5GH0tVAHJ0cJZfLGSa1SV5WqRrpKU0dd5P4/T1ubnfG6h1PA4Kvrfk4CwX2g2XDd31PXbZ4BgRfg2uz4K5TT/DfpjY4WOwYiO8DlTUdTDoCrXWD82ZK53JICtPyaBnxcACMFYPQeGN7wsmr/x/kTkN+mJ7oDDo+AKdof2fwDCBRoDkL8UccAAAAJcEhZcwAAD2EAAA9hAag/p2kAAAK2SURBVFgJ7ZY9j41BFICvryCExrJBQ6HyEYVEIREaUZDQIRoR2ViJKCioxV+gkVXYTVZEQiEUhG2EQnxUCh0FKolY4ut5XnM2cyfva3Pt5m7EPcmzZ2bemTNnzjkzd1utnvQi0IvAfxiBy5z5FoxO89kPY+8mbMjtzs47RXs5/WVpbAG6bWExt5PuIibvhVkwmC+ck3eK9ln6/fAddFojYzBVuYSBpcnIEvRaqOw2RcaN18FPuJH0JvRUxbT3wWf4ltiKPgfVidWlbGZgPozDFfgAC+EA/K2EI4cwcAJ+gPaeQ+VQU2SOMMGcPgPl/m/V2p50rrbRsRgt9Iv5h6xtpP22Bz7Ce1C+gFFxfKzOmShcU+Qmyh2w3w8rIJfddHTck66EukL/xPhj+JM8rHNmFys0Pg4v0up3aFNlwR9NYyodd3OL/C64zpsymcTFcf6ElM4YzjAWKYrJkaq8kE/yUYNP4BoYvS1QRo+hNtF5xfkTUjoTheukSFFMjlTFm6PjceOca/SMpKfeCR1L6Uzk/y2WIkVhNFJlJAZhP+hYns7b9D3IPuhY5mYrIv8OrQJvR5NYyNaW4jsU8pSGNySiVx4o5tXq3JkoXE/mg5R/M8dGJCJpKhaDcjBRdbI/Rm8g69c122om33BHmj2CHoV5qa9jUXBraJ+G1fAVjIBO1klc87ro1K4JZ/K35SWW3TwcyDd6TecqnAEd8cGq2+w84xvBm1n3vS0izKkkwh5XNC/GmFPqqAtPF89AOScKuemaNzoTV1SD5dtSbmLf1/RV+tC0WTgcj6R7HEtrVGWaqu/lYDZ/2pvxQ/kIyw/gFByHC9AHw910hv1aUUumyd8yy0QfhmEkfiNod0Xusct68J1qc8Tdux0Z97Q+hsDb+AYGYEbF/4Guw2Q/qDPqZG/zXgT+3Qj8AtKnfWhFwmuAAAAAAElFTkSuQmCC");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 23px;
    vertical-align: bottom;
}

div.dtsp-topRow button.dtsp-countButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAABcGlDQ1BpY2MAACiRdZHNSwJBGMYftTDS8FCHkA57sOigIAXRMQzyYh3UIKvL7rirwe66zK6IdA26dBA6RF36OvQf1DXoWhAERRAR9B/0dQnZ3nEFJXSG2ffHs/O8zDwD+DM6M+yBJGCYDs+mU9JaYV0KviNMM4QoEjKzreXcUh59x88jfKI+JESv/vt6jlBRtRngGyKeYxZ3iBeIMzXHErxHPMbKcpH4hDjO6YDEt0JXPH4TXPL4SzDPZxcBv+gplbpY6WJW5gbxNHHM0KusfR5xk7BqruaoRmlNwEYWaaQgQUEVW9DhIEHVpMx6+5It3woq5GH0tVAHJ0cJZfLGSa1SV5WqRrpKU0dd5P4/T1ubnfG6h1PA4Kvrfk4CwX2g2XDd31PXbZ4BgRfg2uz4K5TT/DfpjY4WOwYiO8DlTUdTDoCrXWD82ZK53JICtPyaBnxcACMFYPQeGN7wsmr/x/kTkN+mJ7oDDo+AKdof2fwDCBRoDkL8UccAAAAJcEhZcwAAD2EAAA9hAag/p2kAAAG5SURBVEgN3VU9LwVBFF0fiYhofUSlEQkKhU7z/oBCQkIiGr9BgUbhVzy9BAnhFyjV/AYFiU5ICM7ZN+c5Zud5dm3lJmfmzrkz9+7cu3c3y/6jjOBSF8CxXS7FmTkbwqIJjDpJvTcmsJ4K3KPZUpyZsx0sxoB9J6mnAkyC7wGuuCFIipNtEcpcWExgXpOBc78vgj6N+QO4NVsjwdFM59tUIDxDrHMBOeIQ34C5ZDregXuAQm4YcI68nN9B3wr2PcwPAIPkN2EqtJH6b+QZm1ajjTx7BqwAr26Lb+C2Kvpbt0Mb2HAJ7NrGFGfmXO3DeA4UshDfQAVmH0gaUFg852TTTDvlxwBlCtxy9zXyBhQFaq0wMmIdRebrfgosA3zb2hKnqG0oqchp4QbuR8X0TjzABhbdOT8jnQ/atcgqpnfwOA7yqZyTU587ZkIGdesLTt2EkynOnbreMUUKMI/dA4B/QVOcO13CQh+5wWCgDwo/75u59odB/wjmfhbgvACcAOyZPHihMWAoIwxyCLgf1oxfgjzVbgBXSTzIN+f0pg6s5DkcesLMRpsBrgE2XO3CN64JFP7JtUeKHX4CKtRRXFZ+7dEAAAAASUVORK5CYII=");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 18px;
    vertical-align: bottom;
}

div.dtsp-topRow button.dtsp-collapseButton span.dtsp-caret {
    position: relative;
    top: 2px;
    display: inline-block;
}

div.dtsp-topRow button.dtsp-collapseButton.dtsp-rotated {
    transform: rotate(180deg);
}

div.dtsp-topRow.dtsp-bordered {
    border: 2px solid #f0f0f0;
    border-radius: 3px;
}

div.dtsp-topRow.dtsp-bordered:hover {
    background-color: #f0f0f0;
    opacity: 0.6;
    border: 2px solid #cfcfcf;
    border-radius: 3px;
    cursor: pointer !important;
}

div.dtsp-panesContainer div.dtsp-searchPanes div.dtsp-searchPane table thead th,
div.dtsp-panesContainer div.dtsp-searchPanes div.dtsp-searchPane table thead td {
    width: 100% !important;
}

div.dt-button-collection {
    z-index: 2002;
}

div.dtsp-columns-1 {
    max-width: 100%;
    margin: 0px !important;
}

div.dtsp-columns-2 {
    max-width: 49%;
    margin: 0px !important;
}

div.dtsp-columns-3 {
    max-width: 32%;
    margin: 0px !important;
}

div.dtsp-columns-4 {
    max-width: 24%;
    margin: 0px !important;
}

div.dtsp-columns-5 {
    max-width: 19%;
    margin: 0px !important;
}

div.dtsp-columns-6 {
    max-width: 16%;
    margin: 0px !important;
}

div.dtsp-columns-7 {
    max-width: 14%;
    margin: 0px !important;
}

div.dtsp-columns-8 {
    min-width: 12%;
    margin: 0px !important;
}

div.dtsp-columns-9 {
    max-width: 10.5%;
    margin: 0px !important;
}

div.dt-button-collection {
    float: none;
}

div.dtsp-panesContainer {
    margin-bottom: 1em;
}

div.dtsp-panesContainer div.dataTables_wrapper {
    width: 100%;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_layout_cell {
    padding: 0;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollHead {
    display: none !important;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody {
    background: white !important;
    border-bottom: none;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody thead {
    display: none;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody table {
    table-layout: fixed;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody table tr>th,
div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody table tr>td {
    padding: 5px 10px;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody td.dtsp-nameColumn {
    width: 100% !important;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody div.dtsp-nameCont {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-content: flex-start;
    align-items: flex-start;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody div.dtsp-nameCont span.dtsp-name,
div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody div.dtsp-nameCont span.dtsp-pill {
    cursor: default;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody div.dtsp-nameCont span.dtsp-name {
    text-overflow: ellipsis;
    overflow: hidden;
    display: inline-block;
    vertical-align: middle;
    white-space: nowrap;
    flex-grow: 1;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody div.dtsp-nameCont span.dtsp-pill {
    display: inline-block;
    background-color: #cfcfcf;
    text-align: center;
    border: 1px solid #cfcfcf;
    border-radius: 10px;
    width: auto;
    min-width: 30px;
    color: black;
    font-size: 0.9em;
    padding: 0 4px;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody div.dtsp-nameCont span.dtsp-pill:empty {
    display: none;
}

div.dtsp-panesContainer {
    clear: both;
    padding-left: 0;
    padding-right: 0;
    text-align: center;
}

div.dtsp-panesContainer div.dtsp-searchPanes {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: flex-start;
    align-items: stretch;
    clear: both;
    text-align: left;
}

div.dtsp-panesContainer div.dtsp-searchPanes div.dtsp-searchPane {
    flex-grow: 1;
    flex-shrink: 0;
    font-size: 0.9em;
    margin-top: 15px !important;
}

div.dtsp-panesContainer div.dtsp-searchPanes div.dtsp-searchPane div.dataTables_wrapper {
    flex: 1;
    box-sizing: border-box;
}

div.dtsp-panesContainer div.dtsp-searchPanes div.dtsp-searchPane div.dataTables_wrapper div.dataTables_filter {
    display: none;
}

div.dtsp-panesContainer div.dtsp-title {
    float: left;
    padding: 10px 0;
}

div.dtsp-panesContainer button.dtsp-clearAll,
div.dtsp-panesContainer button.dtsp-collapseAll,
div.dtsp-panesContainer button.dtsp-showAll {
    float: right;
    padding: 10px;
    font-size: 1em;
}

div.dtsp-hidden {
    display: none !important;
}

div.dtsp-panesContainer button.dtsp-clearAll,
div.dtsp-panesContainer button.dtsp-showAll {
    margin-left: 3px;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow {
    margin: 0.5em 0;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow div.dtsp-subRow2 {
    margin-left: 0.5em;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow button {
    border: 1px solid #ced4da;
    width: 35px;
    line-height: 20px;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow div.dtsp-subRow1 button {
    border-right: none;
    margin-right: 1px;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow div.dtsp-subRow1 button:hover {
    background-color: #6c757d;
    color: white;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow div.dtsp-subRow1 input {
    padding-right: 3em;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow span.dtsp-caret {
    top: 4px;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow button.dtsp-rotated {
    transform: none;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow button.dtsp-rotated span {
    transform: rotate(180deg);
    top: -4px;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow.dtsp-bordered:hover button.disabled {
    cursor: pointer !important;
    pointer-events: none;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dtsp-topRow.dtsp-bordered:hover input.dtsp-paneInputButton {
    pointer-events: none;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dataTables_wrapper {
    border: 2px #f0f0f0 solid;
    border-radius: 4px;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dataTables_wrapper:hover {
    border: 2px solid #cfcfcf !important;
}

div.dtsp-panesContainer div.dtsp-searchPane div.dataTables_wrapper div.dtsp-nameCont span.badge {
    min-width: 30px;
    line-height: 1.25em;
    margin-top: 3.5px;
}

div.dtsp-panesContainer button.disabled {
    cursor: not-allowed;
}

div.dt-button-collection div.dtsp-panesContainer {
    padding-left: 10px;
    padding-right: 10px;
}

table.dataTable tbody>tr.selected,
table.dataTable tbody>tr>.selected {
    background-color: #1a5286;
}

table.dataTable.stripe tbody>tr.odd.selected,
table.dataTable.stripe tbody>tr.odd>.selected,
table.dataTable.display tbody>tr.odd.selected,
table.dataTable.display tbody>tr.odd>.selected {
    background-color: #1a5286;
}

table.dataTable.hover tbody>tr.selected:hover,
table.dataTable.hover tbody>tr>.selected:hover,
table.dataTable.display tbody>tr.selected:hover,
table.dataTable.display tbody>tr>.selected:hover {
    background-color: #1a5286;
}

table.dataTable.order-column tbody>tr.selected>.sorting_1,
table.dataTable.order-column tbody>tr.selected>.sorting_2,
table.dataTable.order-column tbody>tr.selected>.sorting_3,
table.dataTable.order-column tbody>tr>.selected,
table.dataTable.display tbody>tr.selected>.sorting_1,
table.dataTable.display tbody>tr.selected>.sorting_2,
table.dataTable.display tbody>tr.selected>.sorting_3,
table.dataTable.display tbody>tr>.selected {
    background-color: #1a5286;
}

table.dataTable.display tbody>tr.odd.selected>.sorting_1,
table.dataTable.order-column.stripe tbody>tr.odd.selected>.sorting_1 {
    background-color: #1a5286;
}

table.dataTable.display tbody>tr.odd.selected>.sorting_2,
table.dataTable.order-column.stripe tbody>tr.odd.selected>.sorting_2 {
    background-color: #1a5286;
}

table.dataTable.display tbody>tr.odd.selected>.sorting_3,
table.dataTable.order-column.stripe tbody>tr.odd.selected>.sorting_3 {
    background-color: #0c6af3;
}

table.dataTable.display tbody>tr.even.selected>.sorting_1,
table.dataTable.order-column.stripe tbody>tr.even.selected>.sorting_1 {
    background-color: #1a5286;
}

table.dataTable.display tbody>tr.even.selected>.sorting_2,
table.dataTable.order-column.stripe tbody>tr.even.selected>.sorting_2 {
    background-color: #1a5286;
}

table.dataTable.display tbody>tr.even.selected>.sorting_3,
table.dataTable.order-column.stripe tbody>tr.even.selected>.sorting_3 {
    background-color: #1a5286;
}

table.dataTable.display tbody>tr.odd>.selected,
table.dataTable.order-column.stripe tbody>tr.odd>.selected {
    background-color: #1a5286;
}

table.dataTable.display tbody>tr.even>.selected,
table.dataTable.order-column.stripe tbody>tr.even>.selected {
    background-color: #1a5286;
}

table.dataTable.display tbody>tr.selected:hover>.sorting_1,
table.dataTable.order-column.hover tbody>tr.selected:hover>.sorting_1 {
    background-color: #2E143A;
}

table.dataTable.display tbody>tr.selected:hover>.sorting_2,
table.dataTable.order-column.hover tbody>tr.selected:hover>.sorting_2 {
    background-color: #2E143A;
}

table.dataTable.display tbody>tr.selected:hover>.sorting_3,
table.dataTable.order-column.hover tbody>tr.selected:hover>.sorting_3 {
    background-color: #2E143A;
}

table.dataTable.display tbody>tr:hover>.selected,
table.dataTable.display tbody>tr>.selected:hover,
table.dataTable.order-column.hover tbody>tr:hover>.selected,
table.dataTable.order-column.hover tbody>tr>.selected:hover {
    background-color: #2E143A;
}

table.dataTable tbody td.select-checkbox,
table.dataTable tbody th.select-checkbox {
    position: relative;
}

table.dataTable tbody td.select-checkbox:before,
table.dataTable tbody td.select-checkbox:after,
table.dataTable tbody th.select-checkbox:before,
table.dataTable tbody th.select-checkbox:after {
    display: block;
    position: absolute;
    top: 1.2em;
    left: 50%;
    width: 12px;
    height: 12px;
    box-sizing: border-box;
}

table.dataTable tbody td.select-checkbox:before,
table.dataTable tbody th.select-checkbox:before {
    content: " ";
    margin-top: -2px;
    margin-left: -6px;
    border: 1px solid black;
    border-radius: 3px;
}

table.dataTable tr.selected td.select-checkbox:after,
table.dataTable tr.selected th.select-checkbox:after {
    content: "✓";
    font-size: 20px;
    margin-top: -19px;
    margin-left: -6px;
    text-align: center;
    text-shadow: 1px 1px #B0BED9, -1px -1px #B0BED9, 1px -1px #B0BED9, -1px 1px #B0BED9;
}

table.dataTable.compact tbody td.select-checkbox:before,
table.dataTable.compact tbody th.select-checkbox:before {
    margin-top: -12px;
}

table.dataTable.compact tr.selected td.select-checkbox:after,
table.dataTable.compact tr.selected th.select-checkbox:after {
    margin-top: -16px;
}

div.dataTables_wrapper span.select-info,
div.dataTables_wrapper span.select-item {
    margin-left: 0.5em;
}

@media screen and (max-width: 640px) {
    div.dataTables_wrapper span.select-info,
    div.dataTables_wrapper span.select-item {
        margin-left: 0;
        display: block;
    }
}

table.dataTable tbody tr.selected,
table.dataTable tbody th.selected,
table.dataTable tbody td.selected {
    color: white;
}

table.dataTable tbody tr.selected a,
table.dataTable tbody th.selected a,
table.dataTable tbody td.selected a {
    color: #a2d4ed;
}